### Method

# Ide Environment copy

#### Declaration

    IdeEnvironment*
    ide_environment_copy (
      IdeEnvironment* self
    )

#### Description

Copies the contents of `IdeEnvironment` into a newly allocated `IdeEnvironment`.

Available since: | 3.32

#### Return value

Returns: | `IdeEnvironment`
| An `IdeEnvironment`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.